package body MSHTML.IHTMLFrameSetElement_Object is

   procedure Put_rows
     (This : IHTMLFrameSetElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement_Put_rows,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_rows;

   function Get_rows
     (This : IHTMLFrameSetElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement_Get_rows);
   end Get_rows;

   procedure Put_cols
     (This : IHTMLFrameSetElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement_Put_cols,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_cols;

   function Get_cols
     (This : IHTMLFrameSetElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement_Get_cols);
   end Get_cols;

   procedure Put_border
     (This : IHTMLFrameSetElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement_Put_border,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_border;

   function Get_border
     (This : IHTMLFrameSetElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement_Get_border);
   end Get_border;

   procedure Put_borderColor
     (This : IHTMLFrameSetElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement_Put_borderColor,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_borderColor;

   function Get_borderColor
     (This : IHTMLFrameSetElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement_Get_borderColor);
   end Get_borderColor;

   procedure Put_frameBorder
     (This : IHTMLFrameSetElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement_Put_frameBorder,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_frameBorder;

   function Get_frameBorder
     (This : IHTMLFrameSetElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement_Get_frameBorder);
   end Get_frameBorder;

   procedure Put_frameSpacing
     (This : IHTMLFrameSetElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement_Put_frameSpacing,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_frameSpacing;

   function Get_frameSpacing
     (This : IHTMLFrameSetElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement_Get_frameSpacing);
   end Get_frameSpacing;

   procedure Put_name
     (This : IHTMLFrameSetElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement_Put_name,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_name;

   function Get_name
     (This : IHTMLFrameSetElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement_Get_name);
   end Get_name;

   procedure Put_onload
     (This : IHTMLFrameSetElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement_Put_onload,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onload;

   function Get_onload
     (This : IHTMLFrameSetElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement_Get_onload);
   end Get_onload;

   procedure Put_onunload
     (This : IHTMLFrameSetElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement_Put_onunload,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onunload;

   function Get_onunload
     (This : IHTMLFrameSetElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement_Get_onunload);
   end Get_onunload;

   procedure Put_onbeforeunload
     (This : IHTMLFrameSetElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement_Put_onbeforeunload,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onbeforeunload;

   function Get_onbeforeunload
     (This : IHTMLFrameSetElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement_Get_onbeforeunload);
   end Get_onbeforeunload;

end MSHTML.IHTMLFrameSetElement_Object;

